## Function template make_exception_handler

boost::log::make_exception_handler

## Synopsis

    // In header: <boost/log/utility/exception_handler.hpp>

    template<typename HandlerT>
      nothrow_exception_handler< typename HandlerT::exception_types, HandlerT >
      make_exception_handler(HandlerT const & handler, std::nothrow_t const &);

## Description

The function creates an exception handler functional object. The handler will call to the user-specified functional object with an exception as its argument. If the exception type cannot be identified, the handler will call the user-defined functor with no arguments, instead of propagating exception to the caller.

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

| Note
This form requires the user-defined functional object to have an `exception_types` nested type. This type should be an MPL sequence of all expected exception types.

Parameters:

`handler` | User-defined functional object that will receive exceptions.

Returns: | A nullary functional object that should be called from within a `catch` statement.